
library(grid)

theme_custom <- function(base_size = 12, base_family = "") {
  # Starts with theme_bw and then modify some parts
  # Use + for modifying certain properties and %+replace% for complete replacement
  theme_bw(base_size = base_size, base_family = base_family) +
    theme(
        legend.justification = c(1,1),
        legend.position =      c(1,1),
        legend.background =    element_rect(size=0.1,color="black"),
        panel.border =         element_rect(size=0.2,color="black"),
        axis.title.x =         element_text(vjust=-0.5),
        axis.title.y =         element_text(vjust=0.3),
        plot.title =           element_text(vjust=1.5),
        plot.margin =          unit(c(0.6,0.5,0.6,0.5),"cm") # top, right, bottom, left
    )
}
