
# If you have problems with Croatian month names change locale:
Sys.setlocale("LC_TIME","English")

# Position of working directory
folder_home <- "D:\\Users\\Matija\\Dropbox\\FOC systemic risk in social media\\paper proposals\\Paper draft v5\\data"
setwd(folder_home)

library(ggplot2)
library(reshape)
library(gridExtra)
library(scales)
source("ggplot2CustomThemes.R") # Custom themes for ggplot2

# Column names can contain spaces so when refering to them you should use '' (or ``?) 
data <- read.csv("domains_count.csv",sep=";",col.names=c("domain","count"))
data <- data[1:50,]

# Order levels the same as in csv file (i.e. how we loaded the in dataframe)
data$domain <- factor(data$domain, levels=rev(as.character(data$domain)))

# NOTE: When coordinates are flipped it appears that theme still uses nonflipped
# version of x and y axes, while xlab and ylab use flipped version.

p <- ggplot(data,aes(x=domain,y=count)) 
p <- p + geom_bar(stat="identity",fill="#0072B2",width=0.7) + coord_flip() + theme_custom()
p <- p + scale_y_continuous(labels = function (x) format(x,scientific=FALSE))
p <- p + labs(x = "news sources domains",y = "document count")

# ggsave(filename="domain_count.pdf",width=15,height=20,units="cm")

pdf("domain_count.pdf",width=8,height=10)
print(p)
dev.off()

# If postscript output is needed
postscript("domain_count.eps",horizontal=FALSE,paper="special",width=8,height=10)
print(p)
dev.off()

